Package org.eclipse.microprofile.lra.tck

# Class LraTckConfigBean

java.lang.Object
org.eclipse.microprofile.lra.tck.LraTckConfigBean

@ApplicationScoped public class LraTckConfigBean extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LRA_TCK_BASE_URL_PROPERTY_NAME`
Name of the config property which is used to configure the TCK base url.
`static final String`
`LRA_TCK_TIMEOUT_FACTOR_PROPETY_NAME`
Name of the config property that is used as factor adjusting timeout values used in the testsuite.

## Constructor Summary

Constructors
Constructor
Description
`LraTckConfigBean()`

## Method Summary

Modifier and Type
Method
Description
`long`
`adjustTimeout(long timeout)`
Adjusting the provided value by timeout factor defined for the TCK suite.
`long`
`getDefaultTimeout()`
Adjusting the default timeout by the specified timeout factor which can be defined by user when property `#LRA_TCK_TIMEOUT_FACTOR_PROPETY_NAME` is defined.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LRA_TCK_TIMEOUT_FACTOR_PROPETY_NAME

public static final String LRA_TCK_TIMEOUT_FACTOR_PROPETY_NAME
Name of the config property that is used as factor adjusting timeout values used in the testsuite.

See Also:
  - Constant Field Values

### LRA_TCK_BASE_URL_PROPERTY_NAME

public static final String LRA_TCK_BASE_URL_PROPERTY_NAME
Name of the config property which is used to configure the TCK base url. See `tckSuiteBaseUrl`.

See Also:
  - Constant Field Values

## Constructor Details

### LraTckConfigBean

public LraTckConfigBean()

## Method Details

### getDefaultTimeout

public long getDefaultTimeout()
Adjusting the default timeout by the specified timeout factor which can be defined by user when property `#LRA_TCK_TIMEOUT_FACTOR_PROPETY_NAME` is defined.

Returns:
  default timeout adjusted with timeout factor

### adjustTimeout

public long adjustTimeout(long timeout)
Adjusting the provided value by timeout factor defined for the TCK suite.

Parameters:
  `timeout` - timeout value to be adjusted by `#LRA_TCK_TIMEOUT_FACTOR_PROPETY_NAME`
Returns:
  value of adjusted timeout